<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__macros__transmit__status" kind="group">
    <compoundname>group_scb_uart_macros_transmit_status</compoundname>
    <title>UART Transmit Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__uart__macros__transmit__status_1gaa640df2a6637fd851cfcce6665ba93f1" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TRANSMIT_ACTIVE</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>The transmit operation started by <ref kindref="member" refid="group__group__scb__uart__high__level__functions_1ga12cc7712f9cb5e26b28d1d9a3a9576b4">Cy_SCB_UART_Transmit</ref> is in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="801" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="801" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__transmit__status_1gafc7731d0e43932b18d20033f1db95b6e" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TRANSMIT_IN_FIFO</name>
        <initializer>(0x02UL)</initializer>
        <briefdescription>
<para>All data elements specified by <ref kindref="member" refid="group__group__scb__uart__high__level__functions_1ga12cc7712f9cb5e26b28d1d9a3a9576b4">Cy_SCB_UART_Transmit</ref> have been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="807" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="807" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__transmit__status_1gad79bc01b6f0d15a29cfb365dc5f04497" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TRANSMIT_NACK</name>
        <initializer>(SCB_INTR_TX_UART_NACK_Msk)</initializer>
        <briefdescription>
<para>SmartCard only: the transmitter received a NACK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="810" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="810" />
      </memberdef>
      <memberdef id="group__group__scb__uart__macros__transmit__status_1ga14da37547fdf65d5fb837791c409edeb" kind="define" prot="public" static="no">
        <name>CY_SCB_UART_TRANSMIT_ARB_LOST</name>
        <initializer>(SCB_INTR_TX_UART_ARB_LOST_Msk)</initializer>
        <briefdescription>
<para>SmartCard only: the transmitter lost arbitration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="813" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="813" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check current UART transmit status returned by <ref kindref="member" refid="group__group__scb__uart__high__level__functions_1ga92ea29d41db81f995b0ff442d6639191">Cy_SCB_UART_GetTransmitStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each UART transmit status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>